Flutter Solve Your app is not using AndroidX Build Migration Error

AndroidX also known as Android Extension Library is a new way to manage packages bundles in android development sector. Using AndroidX we can individually manage which packages are bundled with Android operating system and which are bundled with android APK file using new modified file structure. From now on all the default android classes will be in android operating system and all the other libraries and dependencies will be part of AndroidX. So in this tutorial we would Flutter Solve Your app is not using AndroidX Build Migration Error from Flutter existing project.

How the error looks like in Command Prompt or Terminal while compiling the project:

Flutter Solve Your app is not using AndroidX

Your app isn’t using AndroidX.
To avoid potential build failures, you can quickly migrate your app by
following the steps on https://goo.gl/CP92wY.

Contents in this project Flutter Solve Your app is not using AndroidX Build Migration Error from Flutter Existing Project:

1. To remove this error from current flutter build project GoTo Flutter_Project -> android -> gradle.properties file. Open the gradle.properties file in any Text editor. Add below lines in this file and Save the file.

Source code for my gradle.properties file after adding above code:

2. Now we have to clean our flutter project already present build file. So open your Flutter Project Root directory in Command Prompt or Terminal and execute flutter clean command like i did in below screenshot.

Here you go now please make sure your system is connected to internet and now simply execute the flutter run command and you will see the AndroidX error will be resolved 🙂 .

6 Comments

  1. This still gives me the same issue

  2. Venkatesh Uppalapu

    Hi, is your issue cleared?

  3. It Worked Bro..

  4. Thanks, that solved my problem! Had exactly the same issue you explained!

Leave a Reply

Your email address will not be published. Required fields are marked *